> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pearcheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run user verification

> Endpoint used to run user verification



## OpenAPI

````yaml POST /api/v1/verify/run_user_verification/
openapi: 3.0.3
info:
  title: Pearcheck API Documentation
  version: 1.0.0
  description: This is the official documentation for the Pearcheck backend
servers:
  - url: https://api.pearcheck.com
  - url: https://api-sandbox.pearcheck.com
security: []
paths:
  /api/v1/verify/run_user_verification/:
    post:
      tags:
        - api
      operationId: api_v1_verify_run_user_verification_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KYCData'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/KYCData'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/KYCData'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KYCResponse'
          description: Successful Operation
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request or Internal Error
      security:
        - ApiKeyAuth: []
        - {}
components:
  schemas:
    KYCData:
      type: object
      properties:
        verification_type:
          $ref: '#/components/schemas/VerificationTypeF32Enum'
        first_name:
          type: string
          maxLength: 50
          minLength: 2
          example: John
        middle_name:
          type: string
          maxLength: 50
          example: Loe
        last_name:
          type: string
          maxLength: 50
          minLength: 2
          example: Doe
        date_of_birth:
          type: string
          format: date
        phone_number:
          type: string
          pattern: ^\+?[1-9]\d{1,14}$
          example: '+256000000000'
        email_address:
          type: string
          format: email
          nullable: true
        country_code:
          type: string
          maxLength: 2
          minLength: 2
          example: UG
        id_type:
          $ref: '#/components/schemas/IdTypeEnum'
        id_number:
          type: string
        id_document_front:
          type: string
          format: byte
          description: >-
            Base64-encoded front of ID document (Required for Document &
            Biometrics Verification)
        id_document_back:
          type: string
          format: byte
          description: >-
            Base64-encoded back of ID document (Required for Document &
            Biometrics Verification)
        selfie:
          type: string
          format: byte
          description: Base64-encoded selfie image (Required for Biometrics Verification)
      required:
        - country_code
        - date_of_birth
        - first_name
        - id_type
        - last_name
        - phone_number
        - verification_type
    KYCResponse:
      type: object
      properties:
        provider:
          type: string
        batch_id:
          type: string
          format: uuid
        status:
          type: string
        type:
          type: string
        used_url:
          type: boolean
        verification_type:
          type: string
        verification_result:
          type: string
        verification_url:
          type: string
          nullable: true
        id_type:
          type: string
        created_at:
          type: string
          format: date-time
        user_input:
          type: object
          additionalProperties: {}
        id_info:
          type: object
          additionalProperties: {}
        phone_info:
          type: object
          additionalProperties: {}
        aml_info:
          type: object
          additionalProperties: {}
        risk_info:
          type: object
          additionalProperties: {}
        fraud_insights:
          type: object
          additionalProperties: {}
        face_match_info:
          type: object
          additionalProperties: {}
        face_liveness_info:
          type: object
          additionalProperties: {}
      required:
        - aml_info
        - batch_id
        - created_at
        - face_liveness_info
        - face_match_info
        - fraud_insights
        - id_info
        - id_type
        - phone_info
        - provider
        - risk_info
        - status
        - type
        - used_url
        - user_input
        - verification_result
        - verification_type
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      required:
        - error
    VerificationTypeF32Enum:
      enum:
        - ID
        - DOC
        - BIOMETRIC
      type: string
      description: |-
        * `ID` - ID Verification
        * `DOC` - Document Verification
        * `BIOMETRIC` - Biometrics Verification
    IdTypeEnum:
      enum:
        - NATIONAL_ID
      type: string
      description: '*`NATIONAL_ID` - National ID'
    ErrorDetail:
      type: object
      properties:
        summary:
          type: string
        fields:
          type: object
          additionalProperties:
            type: string
      required:
        - summary
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````